Subject: Re: bug#36681: Feature Request: Option to build Emacs without byte-compilation.

From: Keith David Bershatsky <[email-masked]>
Date: Mon, 15 Jul 2019 17:53:42 -0700

Thank you, Glenn, for looking into this feature request.  As part of this feature request, I am hoping to essentially complete the entire build process without byte-compilation.  For the following test, I used a master branch from today (0797b39185e66983c7286e89f93dd4f6c83b6ea7).  My configure command line on a w32 virtual machine (running mingGW with ezwinports) is:

CFLAGS='-O0 -g3' ./configure \
--prefix=/c/docume~1/admini~1/desktop/trunk \
--enable-checking='yes,glyphs' \
--enable-check-lisp-object-type \
--without-compress-install \
--without-makeinfo \
--with-gnutls=no \
--with-mailutils \
--without-makeinfo

Here is a link to a gist containing the output (with errors) after calling 'make -C src emacs' from the command line of the root emacs repository directory:

https://gist.github.com/lawlist/de6bea1b348276e5318d227a074c9d14

This particular build is anticipated to fail towards the end with:

* * *

GEN      ../../info/elisp.info
/c/docume~1/admini~1/desktop/emacs/doc/lispref//display.texi:5740: `SVG Path Commands' has no Up field (perhaps incorrect sectioning?).

* * *

as referenced in the thread that I posted today to the Emacs Devel mailing list:

https://lists.gnu.org/archive/html/emacs-devel/2019-07/msg00349.html

However, the build failed much sooner than expected using 'make -C src emacs' as reflected in the above-mentioned linked gist.  In a nutshell, I'd like to reach the point at which the build would fail naturally because of a particular build-bug, or complete the entire process (if no build-bugs exist) -- including, installing Emacs to the directory specified by the "--prefix" option.  In the above example, it would be nice to reach the above-mentioned `SVG Path Commands' build-bug error in less than 45 minutes.

As to the multi-thread suggestion, I'll need to do some reading to see if any of my antiquated machines and antiquated OSes support such an option.  For the w32 builds, I am running a virtual machine containing Windows XP SP3 using MinGW and ezwinports.

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

> Date: [07-15-2019 16:33:24] <15 Jul 2019 19:33:24 -0400>
> From: Glenn Morris <[email-masked]>
> To: Keith David Bershatsky <[email-masked]>
> Cc: [email-masked]
> Subject: Re: bug#36681: Feature Request: Option to build Emacs without byte-compilation.
> 
> make -C src emacs
> 
> is basically what you ask for (may not work in older versions).
> 
> But the better answer is to use multiple cores, since the build is very
> parallelizable. A -j8 build from nothing takes < 4 minutes for me.